# ArchLabs Installer

#### Features
- LUKS/LVM
- Basic setup
- 10 languages
- Auto partition
- Package selection
- Error detection
- Written in Bash
- Fast Install _(~6min)_

#### Requirements

- Network connection.
- `rsync` for unpacking the squashfs.
- `dialog` for all user input/output.
- `vim` for editing files post install.
- `parted` for partition creation.
- `arch-chroot` to perform operations in a chroot.
- `chpasswd` to set root and user passwords.
- `awk` `sed` `grep` `uniq` `sort` `find` `ping` `mkfs` `lsblk` `curl`


#### Manual Installation
```
sh -c "$(curl -fsSL https://bitbucket.org/archlabslinux/installer/raw/master/install.sh)"
```

- A packaged version can also be found in our repos:
[stable](https://bitbucket.org/archlabslinux/archlabs_repo/src/master/x86_64/)
[unstable](https://bitbucket.org/archlabslinux/archlabs_unstable/src/master/x86_64/)

